slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSEVSLSetDamping

Set the type of damping to be used in EVSL.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetDamping(EPS eps,EPSEVSLDamping damping)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| damping | - the type of damping

### Options Database Key

| -eps_evsl_damping <n> | - set the type of damping

### Notes

Damping is applied when building the polynomial to be used when solving the eigenproblem, and also during estimation of DOS with the KPM method.

### See Also

EPSEVSLGetDamping(), EPSEVSLSetDOSParameters()

### Level

intermediate

### Location

src/eps/impls/external/evsl/evsl.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages